pbs_topologyinfo(8B)

NAME
pbs_topologyinfo - report topological information used for licensing purposes

SYNOPSIS
pbs_topologyinfo (-a | --all) [(-l | --license) | (-s | --sockets)]
pbs_topologyinfo (-l | --license) <vnode name> [<vnode name> ...]
pbs_topologyinfo (-s | --sockets) <vnode name> [<vnode name> ...]
pbs_topologyinfo -h | --help

DESCRIPTION
The pbs_topologyinfo command reports topological information for one or more vnodes. This information is used for licensing purposes. To use the command, you must specify what kind of topological information you want. The command reports only the requested information. This command must be run on the server host.

Usage
pbs_topologyinfo -al reports number of node licenses needed for all vnodes. pbs_topologyinfo -l <vnode name> reports number of node licenses needed for vnode name. pbs_topologyinfo -as reports socket counts for all vnodes that have reported sockets. pbs_topologyinfo -s <vnode name> reports socket count for vnode vnode name.

Prerequisites
Before you use this command, the server and MoMs must be configured so that they can contact each other, and must have been run.

Required Privilege
This command can be run only by root or Admin on Windows.

OPTIONS

-a, --all
    Reports requested topological information for all vnodes. When this option is used alone, the command does not report any information.

-h, --help
    Prints usage and exits.

-l, --license [<vnode name(s)>]
    Reports number of node licenses required. If you specify vnode name(s), the command reports node licenses needed for the specified vnode(s) only.

-s, --sockets [<vnode name(s)>]
    Reports derived socket counts. If you specify vnode name(s), the command reports socket count information for the specified vnode(s) only.

(no options)
    Does not report any information.

OPERANDS

vnode name [<vnode name> ...]
    Name(s) of vnode(s) about which to report.

Errors
If you specify an invalid vnode name, the command prints a message to standard error.

EXIT STATUS

0   Success

1   Any error following successful command line processing.

SEE ALSO
The PBS Professional Administrator's Guide